@charset "UTF-8";
@font-face {
  font-family: "Inria Sans";
  src: url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Light.eot");
  src: url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Light.eot?#iefix") format("embedded-opentype"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Light.woff2") format("woff2"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Light.woff") format("woff"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Light.svg") format("svg");
  font-weight: 300;
  font-style: normal;
}
@font-face {
  font-family: "Inria Sans";
  src: url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-LightItalic.eot");
  src: url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-LightItalic.eot?#iefix") format("embedded-opentype"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-LightItalic.woff2") format("woff2"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-LightItalic.woff") format("woff"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-LightItalic.svg") format("svg");
  font-weight: 300;
  font-style: italic;
}
@font-face {
  font-family: "Inria Sans";
  src: url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Italic.eot");
  src: url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Italic.eot?#iefix") format("embedded-opentype"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Italic.woff2") format("woff2"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Italic.woff") format("woff"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Italic.svg") format("svg");
  font-weight: 400;
  font-style: italic;
}
@font-face {
  font-family: "Inria Sans";
  src: url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Regular.eot");
  src: url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Regular.eot?#iefix") format("embedded-opentype"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Regular.woff2") format("woff2"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Regular.woff") format("woff"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Regular.svg") format("svg");
  font-weight: 400;
  font-style: normal;
}
@font-face {
  font-family: "Inria Sans";
  src: url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Bold.eot");
  src: url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Bold.eot?#iefix") format("embedded-opentype"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Bold.woff2") format("woff2"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Bold.woff") format("woff"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-Bold.svg") format("svg");
  font-weight: 700;
  font-style: normal;
}
@font-face {
  font-family: "Inria Sans";
  src: url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-BoldItalic.eot");
  src: url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-BoldItalic.eot?#iefix") format("embedded-opentype"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-BoldItalic.woff2") format("woff2"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-BoldItalic.woff") format("woff"), url("https://learninglab.gitlabpages.inria.fr/mooc-styleguide/fonts/InriaSans-BoldItalic.svg") format("svg");
  font-weight: 700;
  font-style: italic;
}
.cover{
  margin: 50px 0;
}
body * {
  box-sizing: border-box;
  font-family: "Inria Sans", "Open Sans", sans-serif;
}

@page {
  counter-increment: page;
  counter-reset: page 1;
  @top-right {
    content: "Page " counter(page) " of " counter(pages);
  }
}

body .cover{
  position: relative;
  width:100%;
}

body .cover figure{
  display: block;
  width:100%;
}

body .cover figure img{
  display: block;
  width:100%;
  height:auto;
}

body .cover .title{
  margin: 50px 0;
}

body .cover h1{
  text-align: center;
  break-before: avoid;
  page-break-before: avoid;
  -webkit-column-break-before: avoid;
}

body .cover hr{
  margin: 50px 0;
}

body .cover .bottom{
  margin-top: 150px;
}

body .cover p{
  text-align: center;
}

body h6 {
  font-size: 18px;
  font-weight: 700;
  line-height: 1;
  color: #40455a;
  margin: 0 0 0.5em 0;
  padding: 0;
  text-transform: unset;
}
body * + h6 {
  margin-top: 1em;
}
body h5 {
  font-size: 20.25px;
  font-weight: 700;
  line-height: 1;
  color: #40455a;
  margin: 0 0 0.5em 0;
  padding: 0;
  text-transform: unset;
}
body * + h5 {
  margin-top: 1em;
}
body h4 {
  font-size: 22.78125px;
  font-weight: 700;
  line-height: 1;
  color: #40455a;
  margin: 0 0 0.5em 0;
  padding: 0;
  text-transform: unset;
}
body * + h4 {
  margin-top: 1em;
}
body h3 {
  font-size: 25.62890625px;
  font-weight: 700;
  line-height: 1;
  color: #40455a;
  margin: 0 0 0.5em 0;
  padding: 0;
  text-transform: unset;
}
body * + h3 {
  margin-top: 1em;
}
body h2 {
  font-size: 28.8325195313px;
  font-weight: 700;
  line-height: 1;
  color: #40455a;
  margin: 0 0 0.5em 0;
  padding: 0;
  text-transform: unset;
}
body * + h2 {
  margin-top: 1em;
}
body h1 {
  font-size: 32.4365844727px;
  font-weight: 700;
  line-height: 1;
  color: #40455a;
  margin: 0 0 0.5em 0;
  padding: 0;
  text-transform: unset;
  break-before: page;
  page-break-before: always;
  -webkit-column-break-before: always;
}
body * + h1 {
  margin-top: 1em;
}
body .ill-icon {
  font-style: normal !important;
}
body p, body ul, body ol, body table, body .author {
  margin: 0 0 1em 0;
  line-height: 1.4;
  color: #40455a;
}
body figure {
  margin: 0 0 1.5em 0;
  line-height: 1.4;
  color: #40455a;
}
body img {
  display: block;
  max-width: 100%;
  height: auto;
  margin: auto;
}
body figure img {
  display: block;
  max-width: 100%;
  height: auto;
  margin: auto;
}
body figure figcaption {
  font: italic smaller sans-serif;
  padding: 3px;
  text-align: center;
}
body a:not(.instructor-info-action) {
  color: #e63312;
}
body ul {
  list-style: none;
  padding-left: 1em;
}
body ul > li {
  margin-bottom: 0;
}
body ul > li:before {
  content: "⬤";
  float: left;
  color: #e63312;
  font-family: "Inria Sans", sans-serif;
  font-size: 6px;
  margin-right: 8px;
  margin-left: -15px;
}
body ul ul {
  margin-bottom: 0;
}
body ul ul li:before {
  content: ">";
  font-size: 1em;
}
body ul ul ul li:before {
  content: "-";
  font-size: 1em;
  color: #40455a;
}
body ol {
  padding-left: 0.8em;
}
body ol li {
  padding-left: 0.2em;
}
body ol ol {
  margin-bottom: 0;
  list-style: lower-alpha;
}
body ol ol ol {
  list-style: lower-roman;
}
body table {
  position: relative;
  width: 100%;
  margin-bottom: 1em;
  text-align: left;
  border-collapse: collapse;
}
body table thead {
  position: relative;
}
body table thead:before {
  content: "";
  width: 1em;
  height: 1em;
  position: absolute;
  top: -0.2em;
  left: -0.2em;
  background: #e63312;
}
body table th {
  position: relative;
  padding: 0.4em 0.4em 0.4em 0.4em;
  font-weight: 500;
  color: white;
  background: #40455a;
  border: none;
  z-index: 1;
}
body table td {
  padding: 0.4em 0.4em 0.4em 0.4em;
  border: 1px solid #c4c7d5;
}
body table.striped tr:nth-of-type(2n+1) {
  background: #eeeff3;
}
body pre {
  padding: 5px;
  background: #f5f5f5;
}
body pre code {
  padding: 0;
}
body code {
  font-family: monospace, serif !important;
  font-size: 0.9em;
  padding: 2px 5px;
  background: #f5f5f5;
  text-decoration: none;
  /* Alert */
  /* Annotation */
  /* Attribute */
  /* BaseN */
  /* BuiltIn */
  /* ControlFlow */
  /* Char */
  /* Constant */
  /* Comment */
  /* CommentVar */
  /* Documentation */
  /* DataType */
  /* DecVal */
  /* Error */
  /* Extension */
  /* Float */
  /* Function */
  /* Import */
  /* Information */
  /* Keyword */
  /* Operator */
  /* Other */
  /* Preprocessor */
  /* SpecialChar */
  /* SpecialString */
  /* String */
  /* Variable */
  /* VerbatimString */
  /* Warning */
}
body code a.sourceLine {
  display: inline-block;
  pointer-events: none;
  line-height: 1.25;
  font-family: inherit;
  color: inherit;
  text-decoration: inherit;
}
body code a.sourceLine:hover {
  color: inherit;
  text-decoration: inherit;
}
body code a.sourceLine:empty {
  height: 1.2em;
}
body code .sourceCode {
  overflow: visible;
}
body code.sourceCode {
  white-space: pre;
  position: relative;
}
body code div.sourceCode {
  margin: 1em 0;
}
body code pre.sourceCode {
  margin: 0;
}
@media screen {
  body code div.sourceCode {
    overflow: auto;
  }
}
body code pre.numberSource a.sourceLine {
  position: relative;
  left: -4em;
}
body code pre.numberSource a.sourceLine::before {
  content: attr(title);
  position: relative;
  left: -1em;
  text-align: right;
  vertical-align: baseline;
  border: none;
  pointer-events: all;
  display: inline-block;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  padding: 0 4px;
  width: 4em;
  color: #aaaaaa;
}
body code pre.numberSource {
  margin-left: 3em;
  border-left: 1px solid #aaaaaa;
  padding-left: 4px;
}
@media screen {
  body code a.sourceLine::before {
    text-decoration: underline;
  }
}
body code span.al {
  color: #ff0000;
  font-weight: bold;
}
body code span.an {
  color: #60a0b0;
  font-weight: bold;
  font-style: italic;
}
body code span.at {
  color: #7d9029;
}
body code span.bn {
  color: #40a070;
}
body code span.cf {
  color: #007020;
  font-weight: bold;
}
body code span.ch {
  color: #4070a0;
}
body code span.cn {
  color: #880000;
}
body code span.co {
  color: #60a0b0;
  font-style: italic;
}
body code span.cv {
  color: #60a0b0;
  font-weight: bold;
  font-style: italic;
}
body code span.do {
  color: #ba2121;
  font-style: italic;
}
body code span.dt {
  color: #902000;
}
body code span.dv {
  color: #40a070;
}
body code span.er {
  color: #ff0000;
  font-weight: bold;
}
body code span.fl {
  color: #40a070;
}
body code span.fu {
  color: #06287e;
}
body code span.in {
  color: #60a0b0;
  font-weight: bold;
  font-style: italic;
}
body code span.kw {
  color: #007020;
  font-weight: bold;
}
body code span.op {
  color: #666666;
}
body code span.ot {
  color: #007020;
}
body code span.pp {
  color: #bc7a00;
}
body code span.sc {
  color: #4070a0;
}
body code span.ss {
  color: #bb6688;
}
body code span.st {
  color: #4070a0;
}
body code span.va {
  color: #19177c;
}
body code span.vs {
  color: #4070a0;
}
body code span.wa {
  color: #60a0b0;
  font-weight: bold;
  font-style: italic;
}

/*# sourceMappingURL=ill-styleguide.css.map */
